Mint a short-lived, read-only Elements data token
curl --request POST \
--url https://api.checklyhq.com/v1/embed-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"checkIds": [
"<string>"
]
},
"expiresIn": 900
}
'import requests
url = "https://api.checklyhq.com/v1/embed-tokens"
payload = {
"scope": { "checkIds": ["<string>"] },
"expiresIn": 900
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: {checkIds: ['<string>']}, expiresIn: 900})
};
fetch('https://api.checklyhq.com/v1/embed-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}Elements
Mint a short-lived, read-only Elements data token
POST
/
v1
/
embed-tokens
Mint a short-lived, read-only Elements data token
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Body
application/json
Was this page helpful?